-- RUN USING: SQLCMD -S LAPTOP\TESTDB -U sa -i C:\projects\test\database\scripts\createdatabase.sql

USE msdb;
GO


PRINT '**** DROPPING USERS AND LOGINS ****';
DROP LOGIN TESTDB;
DROP LOGIN TESTDBUSER;
DROP LOGIN JBOSS2;

PRINT '**** DROPPING DATABASE ****';
DROP DATABASE TESTDB;


PRINT '**** CREATING DATABASE ****';
CREATE DATABASE TESTDB
ON
( 	NAME = TESTDB_DAT,
	FILENAME = 'C:\DATA\TESTDATABASE\TESTDB_DATA.MDF',
	SIZE = 100MB,
	MAXSIZE = 150MB,
	FILEGROWTH = 25MB 
)
LOG ON
(	NAME = TESTDB_LOG,
	FILENAME = 'C:\DATA\TESTDATABASE\TESTDB_LOG.LDF',
	SIZE = 50MB,
	MAXSIZE = 75MB,
	FILEGROWTH = 15MB 
);
GO

PRINT '**** CREATING TESTDB LOGIN AND USER ****';
CREATE LOGIN TESTDB WITH PASSWORD = 'dsctestdb', DEFAULT_DATABASE = TESTDB;
USE TESTDB;
CREATE USER TESTDB FOR LOGIN TESTDB;
GO

PRINT '**** CREATING TESTDBUSER LOGIN AND USER ****';
CREATE LOGIN TESTDBUSER WITH PASSWORD = 'testdbuser', DEFAULT_DATABASE = TESTDB;
USE TESTDB;
CREATE USER TESTDBUSER FOR LOGIN TESTDBUSER;
GO

PRINT '**** CREATING JBOSS2 LOGIN AND USER ****';
CREATE LOGIN JBOSS2 WITH PASSWORD = 'dscjboss2', DEFAULT_DATABASE = TESTDB;
USE TESTDB;
CREATE USER JBOSS2 FOR LOGIN JBOSS2
GO


CREATE SCHEMA TESTDB AUTHORIZATION TESTDB;
GO



CREATE SCHEMA JBOSS2 AUTHORIZATION JBOSS2;
GO
PRINT '**** CREATED TESTDB AND JBOSS2 SCHEMAS ****';

PRINT '**** SETTING JBOSS2 USER WITH DEFAULT SCHEMA OF JBOSS2 ****';
ALTER USER JBOSS2 WITH DEFAULT_SCHEMA = JBOSS2;

PRINT '**** SETTING TESTDB USER WITH DEFAULT SCHEMA OF TESTDB ****';
ALTER USER TESTDB WITH DEFAULT_SCHEMA = TESTDB;

PRINT '**** SETTING TESTDBUSER USER WITH DEFAULT SCHEMA OF TESTDB ****';
ALTER USER TESTDBUSER WITH DEFAULT_SCHEMA = TESTDB;


USE TESTDB;

PRINT '**** GRANTING CONNECT, CREATE TABLE, DELETE, UPDATE, INSERT, SELECT TO TESTDB ****';
GRANT CONNECT, CREATE TABLE, DELETE, UPDATE, INSERT, SELECT TO TESTDB;

PRINT '**** GRANTING CONNECT, SELECT, INSERT, UPDATE, DELETE TO TESTDBUSER ****';
GRANT CONNECT, SELECT, INSERT, UPDATE, DELETE TO TESTDBUSER;

PRINT '**** GRANTING CONNECT, CREATE TABLE, SELECT, INSERT, UPDATE, DELETE TO JBOSS2 ****';
GRANT CONNECT, CREATE TABLE, SELECT, INSERT, UPDATE, DELETE TO JBOSS2;
GO