-- RUN USING: SQLCMD -S LAPTOP\TESTDB -U TESTDB -i C:\Projects\TEST\Database\scripts\createstoredprocs.sql

PRINT '**** DROPPING TABLES ****';
DROP TABLE [TESTDB].[USER_ROLES];
DROP TABLE [TESTDB].[ROLE];
DROP TABLE [TESTDB].[TEST_USER];
GO


USE [TESTDB]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [TESTDB].[TEST_USER](
	[USER_ID] 		[numeric](10, 0) 	IDENTITY(1,1) 	NOT NULL,
	[USERNAME] 		[varchar](50) 					NOT NULL,
	[FIRST_NAME] 		[varchar](50) 					NOT NULL,
	[LAST_NAME] 		[varchar](50) 					NOT NULL,
	[EMAIL] 			[varchar](100) 				NOT NULL,
	[PHONE] 			[varchar](13) 					NULL,
	[PASSWORD] 		[varchar](100) 				NOT NULL,
	[DEFAULT_SITE]		[numeric](10, 0)				NULL,
	[CREATED_BY] 		[varchar](50) 					NULL,
	[UPDATED_BY] 		[varchar](50) 				NULL,
	[CREATED_DATE] 	[datetime] 					NULL,
	[UPDATED_DATE] 	[datetime] 					NULL,
 CONSTRAINT [PK_TEST_USER] PRIMARY KEY CLUSTERED 
(
	[USER_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO


SET ANSI_NULLS ON
GO


SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [TESTDB].[ROLE](
	[ROLE_ID] 		[numeric](10, 0) 	IDENTITY(1,1) 	NOT NULL,
	[ROLE_NAME] 		[varchar](100) 				NOT NULL,
	[ROLE_DESCRIPTION] 	[varchar](500) 				NOT NULL,
	[CREATED_BY] 		[varchar](50) 				NULL,
	[UPDATED_BY] 		[varchar](50) 				NULL,
	[CREATED_DATE] 	[datetime] 					NULL,
	[UPDATED_DATE] 	[datetime] 					NULL,
 CONSTRAINT [PK_ROLE] PRIMARY KEY CLUSTERED 
(
	[ROLE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [TESTDB].[USER_ROLES](
	[USER_ROLE_ID] 	[numeric](10, 0) IDENTITY(1,1) 	NOT NULL,
	[USER_ID] 		[numeric](10, 0) 				NOT NULL,
	[ROLE_ID] 		[numeric](10, 0) 				NOT NULL,
	[CREATED_BY] 		[varchar](50) 				NULL,
	[UPDATED_BY] 		[varchar](50) 				NULL,
	[CREATED_DATE] 	[datetime] 					NULL,
	[UPDATED_DATE] 	[datetime] 					NULL,
 CONSTRAINT [PK_USER_ROLES] PRIMARY KEY CLUSTERED 
(
	[USER_ROLE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO





ALTER TABLE [TESTDB].[USER_ROLES]  WITH CHECK ADD  CONSTRAINT [FK_USER_ROLES_ROLE_ID] FOREIGN KEY([ROLE_ID])
REFERENCES [TESTDB].[ROLE] ([ROLE_ID])
GO
ALTER TABLE [TESTDB].[USER_ROLES] CHECK CONSTRAINT [FK_USER_ROLES_ROLE_ID]
GO



ALTER TABLE [TESTDB].[USER_ROLES]  WITH CHECK ADD  CONSTRAINT [FK_USER_ROLES_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [TESTDB].[TEST_USER] ([USER_ID])
GO
ALTER TABLE [TESTDB].[USER_ROLES] CHECK CONSTRAINT [FK_USER_ROLES_USER_ID]
GO

INSERT INTO TESTDB.ROLE(ROLE_NAME, ROLE_DESCRIPTION, CREATED_BY, UPDATED_BY, CREATED_DATE, UPDATED_DATE)
	VALUES('ADMIN', 'TEST APP ADMIN', 'ADMIN', 'ADMIN', GETDATE(), GETDATE());
INSERT INTO TESTDB.ROLE(ROLE_NAME, ROLE_DESCRIPTION, CREATED_BY, UPDATED_BY, CREATED_DATE, UPDATED_DATE)
	VALUES('USER', 'TEST APP USER', 'ADMIN', 'ADMIN', GETDATE(), GETDATE());
GO
	

