package com.uccs.itapps.testproject.beans.entity;

import static org.jboss.seam.ScopeType.SESSION;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import java.sql.Timestamp;


@Entity
@Name("role")
@Table(name = "ROLE")
@Scope(SESSION)
public class Role implements java.io.Serializable{

	private static final long serialVersionUID = -8697028585105367952L;

	private Long id;
	private String roleName;
	private String roleDescription;
	private String createdBy;
	private String updatedBy;
	private Timestamp createdDate;
	private Timestamp updatedDate;


	// Property accessors
	@Id
	@GeneratedValue
	@Column(name = "ROLE_ID", unique = true, nullable = false, insertable = true, updatable = true, precision = 22, scale = 0)
	public Long getId() {
		return this.id;
	}
	public void setId(Long id) {
		this.id = id;
	}


	@Column(name = "ROLE_NAME", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}


	@Column(name = "ROLE_DESCRIPTION", unique = false, nullable = false, insertable = true, updatable = true, length = 500)
	public String getRoleDescription() {
		return roleDescription;
	}
	public void setRoleDescription(String roleDescription) {
		this.roleDescription = roleDescription;
	}


	@Column(name = "CREATED_BY", unique = false, nullable = false, insertable = true, updatable = true, length = 50)
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}


	@Column(name = "UPDATED_BY", unique = false, nullable = false, insertable = true, updatable = true, length = 50)
	public String getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}


	@Column(name = "CREATED_DATE", unique = false, nullable = false, insertable = true, updatable = true, length = 7)
	public Timestamp getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Timestamp createdDate) {
		this.createdDate = createdDate;
	}


	@Column(name = "UPDATED_DATE", unique = false, nullable = false, insertable = true, updatable = true, length = 7)
	public Timestamp getUpdatedDate() {
		return updatedDate;
	}
	public void setUpdatedDate(Timestamp updatedDate) {
		this.updatedDate = updatedDate;
	}
}