package com.uccs.itapps.testproject.beans.entity;


import static org.jboss.seam.ScopeType.SESSION;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinTable;
import javax.persistence.ManyToMany;
import javax.persistence.Table;

import java.sql.Timestamp;


@Entity
@Name("user")
@Table(name = "TEST_USER")
@Scope(SESSION)
public class User implements java.io.Serializable{

	private static final long serialVersionUID = -8697028585105367952L;

	private Long id;
	private String username;
	private String password;
	private String fname;
	private String lname;
	private String email;
	private String phone;
	private String createdBy;
	private String updatedBy;
	private Timestamp createdDate;
	private Timestamp updatedDate;

	private List<Role> roles = new ArrayList<Role>();


	// Property accessors
	@Id
	@GeneratedValue
	@Column(name = "USER_ID", unique = true, nullable = false, insertable = true, updatable = true, precision = 22, scale = 0)
	public Long getId() {
		return this.id;
	}
	public void setId(Long id) {
		this.id = id;
	}


	@Column(name = "USERNAME", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}


	@Column(name = "PASSWORD", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}


	@Column(name = "FIRST_NAME", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getFname() {
		return fname;
	}
	public void setFname(String fname) {
		this.fname = fname;
	}


	@Column(name = "LAST_NAME", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getLname() {
		return lname;
	}
	public void setLname(String lname) {
		this.lname = lname;
	}


	@Column(name = "EMAIL", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}


	@Column(name = "PHONE", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}


	@Column(name = "CREATED_BY", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getCreatedBy(){
		return this.createdBy;
	}
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}


	@Column(name = "UPDATED_BY", unique = false, nullable = false, insertable = true, updatable = true, length = 100)
	public String getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}


	@Column(name = "CREATED_DATE", unique = false, nullable = false, insertable = true, updatable = true, length = 7)
	public Timestamp getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Timestamp createdDate) {
		this.createdDate = createdDate;
	}


	@Column(name = "UPDATED_DATE", unique = false, nullable = false, insertable = true, updatable = true, length = 7)
	public Timestamp getUpdatedDate() {
		return updatedDate;
	}
	public void setUpdatedDate(Timestamp updatedDate) {
		this.updatedDate = updatedDate;
	}


	@ManyToMany
	@JoinTable(
		name = "USER_ROLES",
		joinColumns = {@JoinColumn(name = "USER_ID")},
		inverseJoinColumns = {@JoinColumn(name = "ROLE_ID")}
	)
	public List<Role> getRoles(){
		return this.roles;
	}
	public void setRoles(List<Role> roles){
		this.roles = roles;
	}

}